


@extends('layouts.admin')
 <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css" />
 <meta name="csrf-token" content="{{csrf_token()}}">
@section('header-content')
<meta name="csrf-token" content="{{csrf_token()}}">
<script src="https://www.kryogenix.org/code/browser/sorttable/sorttable.js"></script>
 
</style>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
$(document).ready(function(){
  $("#myInput").on("keyup", function() {
    var value = $(this).val().toLowerCase();
    $("#myTable tr").filter(function() {
      $(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
    });
  });
});
</script>
<style>
table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}

td, th {
  border: 1px solid #dddddd;
  text-align: left;
  padding: 8px;
}

tr:nth-child(even) {
  background-color: #dddddd;
}
</style>
@endsection
@section('content')

 <style type="text/css">
    
.btn{
  width: 150px;
}
/* Reset Select */
select {
  -webkit-appearance: none;
  -moz-appearance: none;
  -ms-appearance: none;
  appearance: none;
  outline: 0;
  box-shadow: none;
  border: 0 !important;
  background: #2c3e50;
  background-image: none;
}
/* Remove IE arrow */
select::-ms-expand {
  display: none;
}
/* Custom Select */
.select {
  position: relative;
  display: flex;
  width: 20em;
  height: 3em;
  line-height: 3;
  background: #2c3e50;
  overflow: hidden;
  border-radius: .25em;
}
select {
  flex: 1;
  padding: 0 .5em;
  color: #fff;
  cursor: pointer;
}
/* Arrow */
.select::after {
  content: '\25BC';
  position: absolute;
  top: 0;
  right: 0;
  padding: 0 1em;
  background: #34495e;
  cursor: pointer;
  pointer-events: none;
  -webkit-transition: .25s all ease;
  -o-transition: .25s all ease;
  transition: .25s all ease;
}
/* Transition */
.select:hover::after {
  color: #f39c12;
}

.styled-table {
    border-collapse: collapse;
    margin: 25px 0;
    font-size: 0.9em;
    font-family: sans-serif;
    min-width: 400px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
}
.styled-table thead tr {
    background-color: grey;
    color: #ffffff;
    text-align: left;
}

.styled-table th,
.styled-table td {
    padding: 12px 15px;
}

.styled-table tbody tr {
    border-bottom: 1px solid #dddddd;
}

.styled-table tbody tr:nth-of-type(even) {
    background-color: grey;
    color: White;
}

.styled-table tbody tr:last-of-type {
    border-bottom: 2px solid red;
}

.styled-table tbody tr.active-row {
    font-weight: bold;
    color: #009879;
}

</style>


 
   
       
            <div class="panel panel-white">
              <div class="panel-body">
                <div class="table-responsive">
         
            
                    

        
      <div class="card-body">
  
<div class="row">
  <div class="col-md-12">
   <h4>Opening Balance:({{$detail->oppening_balance}})</h4>
   <h4>Current Balance:({{$detail->balance}}) </h4>
  
  </div>
  
     
</div>
              
             
            
        <div class="page-header" align="center">
    <h1 style="color: #00BCD4;background-color: black">{{$detail->shop_name}}/{{$detail->dsf_info->firstname}} {{$detail->dsf_info->lastname}}</h1>     
  </div>
            <div class="form-inline" align="center">
              
  <strong>Start Date</strong>
    <input type="date" id="startdate" name="start_date" value=""    class="form-control">
    <strong>End Date</strong>
    <input type="date" id="enddate" name="end_date" value="" class="form-control"  >
   <button  id="datebtn" class="btn btn-primary" >Submit</button>
   
        <i class="fa fa-btn fa-plus"></i>
    </button>
</div>

                        
            


                    <table   class="styled-table">
                          <thead>
                            
                        <tr>
                            
                           <!--  <th><b style="font-size: 14px">DSF Name</b></th>
                            <th><b style="font-size: 14px">Shop Name</b></th> -->
                            <th><b style="font-size: 14px">Date</b></th>
                            <th><b style="font-size: 14px">Sale</b></th>
                            <th><b style="font-size: 14px">Recovery</b></th>
                            <th><b style="font-size: 14px">Outstanding</b></th>
                            
                            
                         
                            
                            
                        </tr>

                        </thead>
                        <tbody id="myTable">

   <!--                       
                foreach ($obj as $key => $ob) {
      //dd($ob->outstanding_balance->balance);
  foreach ($ob->shop_ledger as $key => $val) {
      dd($val); 
  }
  
  } -->
                     
                

                   @foreach($details as $key=> $list)

                        <tr>
                         <td>{{$list->date}}</td> 
                        @if($list->type == "shop_sale")
                         <td>{{$list->amount}}</td>
                         <td>0</td>
                            @else
                            <td>0</td>
                            <td>{{$list->amount}}</td>
                         @endif
                          <td>{{$list->balance}}</td>
                        </tr>
                    
                        @endforeach
              

                        </tbody>



                       
                    </table>
                     

                                         
                        </form>
                </div>
                <br>
                
            </div>
            
        </div>

        





        <!-- /bordered panel body table -->
@endsection

@section('footer-content')
    
@endsection
