@extends('layouts.admin')
 <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css" /> 
 <link rel="stylesheet" type="text/css" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css" /> 
 <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css"/> 

<style type="text/css">
  
  @import url(https://fonts.googleapis.com/css?family=Roboto:100,300,400,900,700,500,300,100);
*{
  margin: 0;
  box-sizing: border-box;
  -webkit-print-color-adjust: exact;
}
body{
  background: #E0E0E0;
  font-family: 'Roboto', sans-serif;
}
::selection {background: #f31544; color: #FFF;}
::moz-selection {background: #f31544; color: #FFF;}
.clearfix::after {
    content: "";
    clear: both;
    display: table;
}
.col-left {
    float: left;
}
.col-right {
    float: right;
}
h1{
  font-size: 1.5em;
  color: #444;
}
h2{font-size: .9em;}
h3{
  font-size: 1.2em;
  font-weight: 300;
  line-height: 2em;
}
p{
  font-size: .75em;
  color: #666;
  line-height: 1.2em;
}
a {
    text-decoration: none;
    color: #00a63f;
}

#invoiceholder{
  width:100%;
  height: 100%;
  padding: 50px 0;
}
#invoice{
  position: relative;
  margin: 0 auto;
  width: 700px;
  background: #FFF;
}

[id*='invoice-']{ /* Targets all id with 'col-' */
/*  border-bottom: 1px solid #EEE;*/
  padding: 20px;
}

#invoice-top{border-bottom: 2px solid #00a63f;}
#invoice-mid{min-height: 110px;}
#invoice-bot{ min-height: 240px;}

.logo{
    display: inline-block;
    vertical-align: middle;
  width: 110px;
    overflow: hidden;
}
.info{
    display: inline-block;
    vertical-align: middle;
    margin-left: 20px;
}
.logo img,
.clientlogo img {
    width: 100%;
}
.clientlogo{
    display: inline-block;
    vertical-align: middle;
  width: 50px;
}
.clientinfo {
    display: inline-block;
    vertical-align: middle;
    margin-left: 20px
}
.title{
  float: right;
}
.title p{text-align: right;}
#message{margin-bottom: 30px; display: block;}
h2 {
    margin-bottom: 5px;
    color: #444;
}
.col-right td {
    color: #666;
    padding: 5px 8px;
    border: 0;
    font-size: 0.75em;
    border-bottom: 1px solid #eeeeee;
}
.col-right td label {
    margin-left: 5px;
    font-weight: 600;
    color: #444;
}
.cta-group a {
    display: inline-block;
    padding: 7px;
    border-radius: 4px;
    background: rgb(196, 57, 10);
    margin-right: 10px;
    min-width: 100px;
    text-align: center;
    color: #fff;
    font-size: 0.75em;
}
.cta-group .btn-primary {
    background: #00a63f;
}
.cta-group.mobile-btn-group {
    display: none;
}
table{
  width: 100%;
  border-collapse: collapse;
}
td{
    padding: 10px;
    border-bottom: 1px solid #cccaca;
    font-size: 0.70em;
    text-align: left;
}

.tabletitle th {
  border-bottom: 2px solid #ddd;
  text-align: right;
}
.tabletitle th:nth-child(2) {
    text-align: left;
}
th {
    font-size: 0.7em;
    text-align: left;
    padding: 5px 10px;
}
.item{width: 50%;}
.list-item td {
    text-align: right;
}
.list-item td:nth-child(2) {
    text-align: left;
}
.total-row th,
.total-row td {
    text-align: right;
    font-weight: 700;
    font-size: .75em;
    border: 0 none;
}
.table-main {
    
}
footer {
    border-top: 1px solid #eeeeee;;
    padding: 15px 20px;
}
.effect2
{
  position: relative;
}
.effect2:before, .effect2:after
{
  z-index: -1;
  position: absolute;
  content: "";
  bottom: 15px;
  left: 10px;
  width: 50%;
  top: 80%;
  max-width:300px;
  background: #777;
  -webkit-box-shadow: 0 15px 10px #777;
  -moz-box-shadow: 0 15px 10px #777;
  box-shadow: 0 15px 10px #777;
  -webkit-transform: rotate(-3deg);
  -moz-transform: rotate(-3deg);
  -o-transform: rotate(-3deg);
  -ms-transform: rotate(-3deg);
  transform: rotate(-3deg);
}
.effect2:after
{
  -webkit-transform: rotate(3deg);
  -moz-transform: rotate(3deg);
  -o-transform: rotate(3deg);
  -ms-transform: rotate(3deg);
  transform: rotate(3deg);
  right: 10px;
  left: auto;
}
@media screen and (max-width: 767px) {
    h1 {
        font-size: .9em;
    }
    #invoice {
        width: 100%;
    }
    #message {
        margin-bottom: 20px;
    }
    [id*='invoice-'] {
        padding: 20px 10px;
    }
    .logo {
        width: 140px;
    }
    .title {
        float: none;
        display: inline-block;
        vertical-align: middle;
        margin-left: 40px;
    }
    .title p {
        text-align: left;
    }
    .col-left,
    .col-right {
        width: 100%;
    }
    .table {
        margin-top: 20px;
    }
    #table {
        white-space: nowrap;
        overflow: auto;
    }
    td {
        white-space: normal;
    }
    .cta-group {
        text-align: center;
    }
    .cta-group.mobile-btn-group {
        display: block;
        margin-bottom: 20px;
    }
     /*==================== Table ====================*/
    .table-main {
        border: 0 none;
    }  
      .table-main thead {
        border: none;
        clip: rect(0 0 0 0);
        height: 1px;
        margin: -1px;
        overflow: hidden;
        padding: 0;
        position: absolute;
        width: 1px;
      }
      .table-main tr {
        border-bottom: 2px solid #eee;
        display: block;
        margin-bottom: 20px;
      }
      .table-main td {
        font-weight: 700;
        display: block;
        padding-left: 40%;
        max-width: none;
        position: relative;
        border: 1px solid #cccaca;
        text-align: left;
      }
      .table-main td:before {
        /*
        * aria-label has no advantage, it won't be read inside a table
        content: attr(aria-label);
        */
        content: attr(data-label);
        position: absolute;
        left: 10px;
        font-weight: normal;
        text-transform: uppercase;
      }
    .total-row th {
        display: none;
    }
    .total-row td {
        text-align: left;
    }
    footer {text-align: center;}
}

</style>

@section('header-content')
@endsection
@section('content')
   

  <h4 align="right"><input type='button' id='btn ' class="btn btn-primary" value='Print' onclick='printDiv();'></h4> 
  
       
            <body>
              <div id='DivIdToPrint'>
  @foreach($stocks  as $key=> $orderss)
  <div id="invoiceholder">
  <div id="invoice" class="effect2">
    
<div class="row">
  <div class="col-xs-6 col-sm-6 col-md-6">
 <div id="invoice-mid">   
      <div id="message">
        <h3>{{$subdistributor->name}}</h3>
        <p style="font-size: 16px;color: black;">{{$getparties->partyaccountant->firstname}} {{$getparties->partyaccountant->lastname}}({{$subdistributor->address}})</p>
        

        <p  style="font-size: 12px;color: black;"><b>Customer Name:</b> <span id="invoice_date">{{$orderss->dsfshop->shopkeeper_name}}</span>
            <p  style="font-size: 12px;color: black;"><b>Shop Name:</b> <span id="invoice_date">{{$orderss->dsfshop->shop_name}}</span>
               <p style="font-size: 12px;color: black;"><b>Shop Area:</b> <span id="invoice_date">{{$orderss->dsfshop->getareas->name}}</span>
                <p  style="font-size: 12px;color: black;"><b>Address:</b> <span id="invoice_date">{{$orderss->dsfshop->address}}</span>
                  
                    

      
      </div>   
  </div>
</div>
<div id="invoice-mid">   
      <div id="message">
  <div class="col-xs-6 col-sm-6 col-md-6">
      <p align="right"><b style="color: black;">Invoice Date:</b> <span id="invoice_date">{{$orderss->date}}</span>
        <p align="right"><b style="color: black;">Order No:</b> <span id="invoice_date">00{{$orderss->order_no->order_no}}</span>
          <p  style="font-size: 12px;" align="right"><b style="color: black;">S/O:</b> <span id="invoice_date">{{$orderss->BookedBy->firstname}} {{$orderss->BookedBy->lastname}}</span>
                       <p style="font-size: 12px;" align="right"><b style="color: black;">Contact:</b> <span id="invoice_date">{{$orderss->BookedBy->phone_1}}</span>
          

                         
  </div>
</div>
</div>

</div>
    
    
   
            <div id="invoice-bot">
      
      <div id="table">
        <table class="table-main" border="1px" width="100%">
          <thead>    
              <tr >
                <th  height="40px" style="text-align: center;">Item Name</th>
                <th style="text-align: center;">Qty</th>
                <th style="text-align: center;">Rate</th>
                <th style="text-align: center;">Amount</th>
              
              </tr>
          </thead>
            @foreach($orderss->stock_details as $key=> $ord)
          <tr >
          
          @if($ord->detailscategories)
        @foreach($ord->detailscategories as $key=> $orrd)
        <tr height="40px">

              
            <td  ><p style="margin-left: 15px;font-size: 13px;color: black;"><b>{{$orrd->product->name}}</b></p></td>
           
           <td style="text-align: center;">{{$orrd->quantity}}</td>
           <td style="text-align: center;" >{{round($ord->productprice->distributor_price,2)}}</td>
           <td style="text-align: center;"> {{round($orrd->quantity*$ord->productprice->distributor_price,2)}}</td> 
           <tr>
             
            @endforeach
            @endif

             @if($ord->detailscategories->isEmpty())


       <tr >
      <td  height="40px" ><p style="margin-left: 15px;font-size: 13px;color: black;">{{$ord->products->name}}</p></td>
           

           <td style="text-align: center;">{{$ord->quantity}}</td>
           <td style="text-align: center;" >{{round($ord->productprice->distributor_price,2)}}</td>
           <td style="text-align: center;"> {{round($ord->quantity*$ord->productprice->distributor_price,2)}}</td> 
         </tr>

          @endif

          

             
          
            
          </tr>


         @endforeach
        </table>
        <h4 align="right">Total:{{round($orderss->price,2)}}</h4>
      </div><!--End Table-->
      <br>
      <br>

     


     
      



    </div><!--End InvoiceBot-->
           
        </div>       
    </div><!--End Invoice Mid-->
    
    
   @endforeach 


  </div><!--End Invoice-->
</div><!-- End Invoice Holder-->
  
</div>

</body>



          <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>

   
   <script type="text/javascript">
     
     function printDiv() 
{

  var divToPrint=document.getElementById('DivIdToPrint');

  var newWin=window.open('','Print-Window');

  newWin.document.open();

  newWin.document.write('<html><body onload="window.print()">'+divToPrint.innerHTML+'</body></html>');

  newWin.document.close();

  setTimeout(function(){newWin.close();},10);

}
   </script>
  

   








        <!-- /bordered panel body table -->
@endsection

